<?php
if (!defined('__TYPECHO_ROOT_DIR__')) exit;

function themeConfig($form) {
    $logoUrl = new Typecho_Widget_Helper_Form_Element_Text('logoUrl', NULL, NULL, _t('站点LOGO地址'), _t('在这里填入一个图片URL地址, 以在网站标题前加上一个LOGO'));
    $form->addInput($logoUrl);
    
    $sidebarBlock = new Typecho_Widget_Helper_Form_Element_Checkbox('sidebarBlock', 
    array('ShowRecentPosts' => _t('显示最新文章'),
    'ShowRecentComments' => _t('显示最近回复'),
    'ShowArchive' => _t('显示归档'),
    'ShowOther' => _t('显示其它杂项')),
    array('ShowRecentPosts', 'ShowRecentComments', 'ShowCategory', 'ShowArchive', 'ShowOther'), _t('侧边栏显示'));
    $form->addInput($sidebarBlock->multiMode());

    $pic1 = new Typecho_Widget_Helper_Form_Element_Text('pic1', NULL, NULL, _t('图片轮动1'), _t('输入图片1地址,图片大小820*200'));
    $form->addInput($pic1);
    $pic11 = new Typecho_Widget_Helper_Form_Element_Text('pic11', NULL, NULL, _t('图片轮动1标题'), _t('输入图片1标题说明'));
    $form->addInput($pic11);
    $pic12 = new Typecho_Widget_Helper_Form_Element_Text('pic12', NULL, NULL, _t('图片轮动1链接'), _t('输入图片1对应的超链接地址'));
    $form->addInput($pic12);

    $pic2 = new Typecho_Widget_Helper_Form_Element_Text('pic2', NULL, NULL, _t('图片轮动2'), _t('输入图片2地址,图片大小820*200'));
    $form->addInput($pic2);
    $pic21 = new Typecho_Widget_Helper_Form_Element_Text('pic21', NULL, NULL, _t('图片轮动2标题'), _t('输入图片2标题说明'));
    $form->addInput($pic21);
    $pic22 = new Typecho_Widget_Helper_Form_Element_Text('pic22', NULL, NULL, _t('图片轮动2链接'), _t('输入图片2对应的超链接地址'));
    $form->addInput($pic22);

    $pic3 = new Typecho_Widget_Helper_Form_Element_Text('pic3', NULL, NULL, _t('图片轮动3'), _t('输入图片3地址,图片大小820*200'));
    $form->addInput($pic3);
    $pic31 = new Typecho_Widget_Helper_Form_Element_Text('pic31', NULL, NULL, _t('图片轮动3标题'), _t('输入图片3标题说明'));
    $form->addInput($pic31);
    $pic32 = new Typecho_Widget_Helper_Form_Element_Text('pic32', NULL, NULL, _t('图片轮动3链接'), _t('输入图片3对应的超链接地址'));
    $form->addInput($pic32);

    $tuijian = new Typecho_Widget_Helper_Form_Element_Textarea('tuijian', NULL, NULL, _t('热门推荐'), _t('一般li格式 热门推荐使用，最多输入6条'));
    $form->addInput($tuijian);

    $links = new Typecho_Widget_Helper_Form_Element_Textarea('links', NULL, NULL, _t('友情链接'), _t('一般li格式 友情链接使用'));
    $form->addInput($links);

    $tongji = new Typecho_Widget_Helper_Form_Element_Textarea('tongji', NULL, NULL, _t('统计代码'), _t('在这里放置网站统计代码'));
    $form->addInput($tongji);
}

function rmcp($days = 30,$num = 5){
$defaults = array(
'before' => '',
'after' => '',
'xformat' => '<li><a href="{permalink}" title="{title}">{title}</a><span class="subcolor">（{commentsNum}℃）</span></li>'
);
 
$time = time() - (24 * 60 * 60 * $days);
$db = Typecho_Db::get();
$sql = $db->select()->from('table.contents')
->where('created >= ?', $time)
->where('type = ?', 'post')
->limit($num)
->order('commentsNum',Typecho_Db::SORT_DESC);
$result = $db->fetchAll($sql);
echo $defaults['before'];
foreach($result as $val){
$val = Typecho_Widget::widget('Widget_Abstract_Contents')->filter($val);
echo str_replace(array('{permalink}', '{title}', '{commentsNum}'), array($val['permalink'], $val['title'], $val['commentsNum']), $defaults['xformat']);
}
echo $defaults['after'];
}


function theme_random_posts(){
  $defaults = array(
    'number' => 5,
    'before' => '',
    'after' => '',
    'xformat' => '<li><a href="{permalink}" title="{title}">{title}</a></li>'
  );
  $db = Typecho_Db::get();
  $sql = $db->select()->from('table.contents')
    ->where('status = ?','publish')
    ->where('type = ?', 'post')
    ->where('created <= unix_timestamp(now())', 'post') //添加这一句避免未达到时间的文章提前曝光
    ->limit($defaults['number'])
    ->order('RAND()');
  $result = $db->fetchAll($sql);
  echo $defaults['before'];
  foreach($result as $val){
    $val = Typecho_Widget::widget('Widget_Abstract_Contents')->filter($val);
    echo str_replace(array('{permalink}', '{title}'),array($val['permalink'], $val['title']), $defaults['xformat']);
  }
  echo $defaults['after'];
}

/*文章阅读次数统计*/
function get_post_view($archive) {
    $cid = $archive->cid;
    $db = Typecho_Db::get();
    $prefix = $db->getPrefix();
    if (!array_key_exists('views', $db->fetchRow($db->select()->from('table.contents')))) {
        $db->query('ALTER TABLE `' . $prefix . 'contents` ADD `views` INT(10) DEFAULT 0;');
        echo 0;
        return;
    }
    $row = $db->fetchRow($db->select('views')->from('table.contents')->where('cid = ?', $cid));
    if ($archive->is('single')) {
        $views = Typecho_Cookie::get('extend_contents_views');
        if (empty($views)) {
            $views = array();
        } else {
            $views = explode(',', $views);
        }
        if (!in_array($cid, $views)) {
            $db->query($db->update('table.contents')->rows(array('views' => (int)$row['views'] + 1))->where('cid = ?', $cid));
            array_push($views, $cid);
            $views = implode(',', $views);
            Typecho_Cookie::set('extend_contents_views', $views); //记录查看cookie
            
        }
    }
    echo $row['views'];
}

//加载耗时
function timer_start() {
  global $timestart;
  $mtime = explode( ' ', microtime() );
  $timestart = $mtime[1] + $mtime[0];
  return true;
}
timer_start();

function timer_stop( $display = 0, $precision = 3 ) {
  global $timestart, $timeend;
  $mtime = explode( ' ', microtime() );
  $timeend = $mtime[1] + $mtime[0];
  $timetotal = $timeend - $timestart;
  $r = number_format( $timetotal, $precision );
  if ( $display )
    echo $r;
  return $r;
}